Go to index page.

# gifrsize

A program to resize image size by an integer factor, deleting bits when scaling down and duplicating bits when scaling up.

# Usage:

    gifrsize [-q] [-S X Y] [-s Scale] [-x XScale] [-y YScale] [-h] gif-file

If no gif-file is given, GifRSize will try to read a GIF file from stdin.

# Memory required:

Line.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-S X Y]
  specifies the exact screen dimension of the output GIF.

[-s Scale]
  Set scaling factor for both x & y direction to Scale. Default is 0.5. Note this is a floating point number.

[-x XScale]
  Set scaling factor for x direction to Scale. Default is 0.5. Note: this is a floating point number.

[-y YScale]
  Set scaling factor for y direction to Scale. Default is 0.5. Note: this is a floating point number.

[-h]
  Print one line of command line help, similar to Usage above.

# Author:

Gershon Elber